Returns

The Returns resource in the Digital River API allows businesses to handle returning items from an order. It supports full and partial returns, offering flexibility in managing customer requests to return goods. This resource allows businesses to process returns, initiate refunds, and update inventory and order statuses accordingly.

Returns a list of returns

get

Get all returns.

Query parameters
createdTimestring · date-timeOptional

A filter on the list based on the createdTime field. The value can be a string with an ISO-8601 UTC format datetime or it can be a dictionary with the following options:

  • gt–return values where the createdTime field is after this timestamp
  • gte–return values where the createdTime field is after or equal to this timestamp
  • lt–return values where the createdTime field is before this timestamp
  • lte–return values where the createdTime field is before or equal to this timestamp
endingBeforestringOptional

A cursor for use in pagination. The endingBefore parameter is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with xyz your subsequent calls can include endingBefore=xyz in order to fetch the previous page of the list.

startingAfterstringOptional

A cursor for use in pagination. The startingAfter parameter is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with xyz, your subsequent calls can include startingAfter=xyz in order to fetch the next page of the list.

limitinteger · min: 1 · max: 100Optional

A limit on the number of objects returned. Limit can range between 1 and 100, and the default is 10.

idsstring[]Optional

Only return objects with these IDs.

statestringOptional

Only return objects in the given state

orderIdstringOptional

The order to retrieve returns for.

skuIdstringOptional

The sku to retrieve returns for.

Responses
chevron-right
200

200 OK

application/json
hasMorebooleanOptional

Whether or not there are more elements available after this set. If false this set represents the end of the list.

Example: true
get
/returns

Creates a Return

post

Returns all or part of a previously created order.

Body
orderIdstringRequired

The unique identifier of the Order associated with the Return.

Example: ord_6645940010
reasonstring · max: 64Optional

The reason for the return.

Example: requested_by_customer
metadataany ofOptional
or
or
Responses
post
/returns

Gets a return by ID

get

Retrieves the details of a return. Supply the unique identifier of the return.

Path parameters
idstringRequired

Return ID

Responses
chevron-right
200

OK.

application/json
idstringRead-onlyOptional

Unique identifier for the return

Example: ret_5823594809
createdTimestring · date-timeRead-onlyOptional

Time at which the return was created

updatedTimestring · date-timeRead-onlyOptional

Time at which the return was updated

orderIdstringRead-onlyOptional

Unique identifier for the order

Example: ord_6645940010
currencystringOptional

Three-letter ISO currency code.

Example: USD
reasonstringOptional

String indicating the reason for the return.

Example: requested_by_customer
failureReasonstringOptional

Enumeration indicating the reason for the return failure, if known.

statestring · enumOptional

Enumeration indicating the state of the return.

Example: createdPossible values:
liveModebooleanOptional

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

Example: false
metadataany ofOptional
or
or
refundIdsstring[]Read-onlyOptional

The ID of a refund issued for this return.

Example: 0848750667
get
/returns/{id}

Updates an existing return

post

Updates an existing return.

Path parameters
idstringRequired

Return ID

Body
or
Responses
chevron-right
200

200 OK

application/json
idstringRead-onlyOptional

Unique identifier for the return

Example: ret_5823594809
createdTimestring · date-timeRead-onlyOptional

Time at which the return was created

updatedTimestring · date-timeRead-onlyOptional

Time at which the return was updated

orderIdstringRead-onlyOptional

Unique identifier for the order

Example: ord_6645940010
currencystringOptional

Three-letter ISO currency code.

Example: USD
reasonstringOptional

String indicating the reason for the return.

Example: requested_by_customer
failureReasonstringOptional

Enumeration indicating the reason for the return failure, if known.

statestring · enumOptional

Enumeration indicating the state of the return.

Example: createdPossible values:
liveModebooleanOptional

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

Example: false
metadataany ofOptional
or
or
refundIdsstring[]Read-onlyOptional

The ID of a refund issued for this return.

Example: 0848750667
post
/returns/{id}

Last updated